Bug 34023

Summary: update-port: mail/qmailadmin
Product: Ports & Packages Reporter: Oliver Lehmann <lehmann>
Component: Individual Port(s)Assignee: Peter Pentchev <roam>
Status: Closed FIXED    
Severity: Affects Only Me CC: lehmann
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Oliver Lehmann 2002-01-18 12:30:08 UTC
	Update to 1.0.1. Vpopmail 5.01 requires qmailadmin up than 1.0. 0.45 which
	is in the ports now, would not work.
	That should be fixed before code freeze.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-01-18 13:06:47 UTC
Responsible Changed
From-To: freebsd-ports->nbm

over to maintainer
Comment 2 Peter Pentchev 2002-02-07 09:45:35 UTC
On Fri, Jan 18, 2002 at 01:06:24PM +0100, Oliver Lehmann wrote:
> 
> >Number:         34023
> >Category:       ports
> >Synopsis:       update-port: mail/qmailadmin
> >Originator:     Oliver Lehmann
> 
> 
> >Description:
> 	Update to 1.0.1. Vpopmail 5.01 requires qmailadmin up than 1.0. 0.45 which
> 	is in the ports now, would not work.
> 	That should be fixed before code freeze.

Unfortunately, the patch in the PR is not complete; it is missing
some pkg-plist changes, most notably the change in image format
from GIF to PNG.  At minimum, the attached patch is needed.

BTW, Neil, would you mind if I took over maintainership of this
port, too?  I have some ideas (and an almost-ready-for-use patch)
about better handling of the CGIBINDIR and WEBDATADIR variables..

G'luck,
Peter

-- 
Peter Pentchev	roam@ringlet.net	roam@FreeBSD.org
PGP key:	http://people.FreeBSD.org/~roam/roam.key.asc
Key fingerprint	FDBA FD79 C26F 3C51 C95E  DF9E ED18 B68D 1619 4553
What would this sentence be like if pi were 3?

Index: ports/mail/qmailadmin/Makefile
===================================================================
RCS file: /home/ncvs/ports/mail/qmailadmin/Makefile,v
retrieving revision 1.6
diff -u -r1.6 Makefile
--- ports/mail/qmailadmin/Makefile	24 May 2001 13:16:21 -0000	1.6
+++ ports/mail/qmailadmin/Makefile	9 Jan 2002 15:37:34 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	qmailadmin
-PORTVERSION=	0.45
+PORTVERSION=	1.0.1
 CATEGORIES=	mail www
 MASTER_SITES=	http://www.inter7.com/qmailadmin/
 
Index: ports/mail/qmailadmin/distinfo
===================================================================
RCS file: /home/ncvs/ports/mail/qmailadmin/distinfo,v
retrieving revision 1.5
diff -u -r1.5 distinfo
--- ports/mail/qmailadmin/distinfo	24 May 2001 13:16:21 -0000	1.5
+++ ports/mail/qmailadmin/distinfo	9 Jan 2002 15:40:11 -0000
@@ -1 +1 @@
-MD5 (qmailadmin-0.45.tar.gz) = cd649c1e60c8fba4725bd0c251254b53
+MD5 (qmailadmin-1.0.1.tar.gz) = 87ddbcb911738b528f5f840315396d6f
Index: ports/mail/qmailadmin/pkg-plist
===================================================================
RCS file: /home/ncvs/ports/mail/qmailadmin/pkg-plist,v
retrieving revision 1.4
diff -u -r1.4 pkg-plist
--- ports/mail/qmailadmin/pkg-plist	24 May 2001 13:16:21 -0000	1.4
+++ ports/mail/qmailadmin/pkg-plist	9 Jan 2002 15:48:38 -0000
@@ -1,4 +1,5 @@
 share/qmailadmin/html/add_alias.html
+share/qmailadmin/html/add_alias.html~
 share/qmailadmin/html/add_autorespond.html
 share/qmailadmin/html/add_forward.html
 share/qmailadmin/html/add_listmod.html
@@ -6,49 +7,59 @@
 share/qmailadmin/html/add_mailinglist-idx.html
 share/qmailadmin/html/add_mailinglist-no-idx.html
 share/qmailadmin/html/add_user.html
+share/qmailadmin/html/colortable
 share/qmailadmin/html/de
 share/qmailadmin/html/del_alias_confirm.html
 share/qmailadmin/html/del_autorespond_confirm.html
 share/qmailadmin/html/del_forward_confirm.html
+share/qmailadmin/html/del_listmod.html
+share/qmailadmin/html/del_listuser.html
 share/qmailadmin/html/del_mailinglist_confirm.html
+share/qmailadmin/html/del_mod.html
 share/qmailadmin/html/del_user_confirm.html
 share/qmailadmin/html/en
 share/qmailadmin/html/es
+share/qmailadmin/html/footer.html
 share/qmailadmin/html/fr
+share/qmailadmin/html/header.html
+share/qmailadmin/html/it
 share/qmailadmin/html/ja
 share/qmailadmin/html/main_menu.html
-share/qmailadmin/html/main_table.html
 share/qmailadmin/html/mod_autorespond.html
 share/qmailadmin/html/mod_dotqmail.html
+share/qmailadmin/html/mod_mailinglist-idx.html
 share/qmailadmin/html/mod_user.html
 share/qmailadmin/html/no
 share/qmailadmin/html/pt-BR
 share/qmailadmin/html/ru
+share/qmailadmin/html/setremotecatchall.html
 share/qmailadmin/html/show_alias.html
 share/qmailadmin/html/show_autorespond.html
 share/qmailadmin/html/show_forwards.html
 share/qmailadmin/html/show_login.html
 share/qmailadmin/html/show_mailinglist.html
-share/qmailadmin/html/show_redirect.html
+share/qmailadmin/html/show_moderators.html
+share/qmailadmin/html/show_subscribers.html
 share/qmailadmin/html/show_users.html
 share/qmailadmin/html/sv
 share/qmailadmin/html/tr
 www/cgi-bin.default/qmailadmin/qmailadmin
-www/data.default/images/qmailadmin/delete.gif
-www/data.default/images/qmailadmin/lowerleft.gif
-www/data.default/images/qmailadmin/lowermiddle.gif
-www/data.default/images/qmailadmin/lowerright.gif
-www/data.default/images/qmailadmin/main1.gif
-www/data.default/images/qmailadmin/main2.gif
-www/data.default/images/qmailadmin/middleleft1.gif
-www/data.default/images/qmailadmin/middleleft2.gif
-www/data.default/images/qmailadmin/middlelogin.gif
-www/data.default/images/qmailadmin/middleright1.gif
-www/data.default/images/qmailadmin/pixel.gif
-www/data.default/images/qmailadmin/upperleft.gif
-www/data.default/images/qmailadmin/uppermiddle1.gif
-www/data.default/images/qmailadmin/uppermiddle2.gif
-www/data.default/images/qmailadmin/upperright.gif
+www/data.default/images/qmailadmin/delete.png
+www/data.default/images/qmailadmin/disabled.png
+www/data.default/images/qmailadmin/lowerleft.png
+www/data.default/images/qmailadmin/lowermiddle.png
+www/data.default/images/qmailadmin/lowerright.png
+www/data.default/images/qmailadmin/main1.png
+www/data.default/images/qmailadmin/main2.png
+www/data.default/images/qmailadmin/middleleft1.png
+www/data.default/images/qmailadmin/middleleft2.png
+www/data.default/images/qmailadmin/middlelogin.png
+www/data.default/images/qmailadmin/middleright1.png
+www/data.default/images/qmailadmin/pixel.png
+www/data.default/images/qmailadmin/upperleft.png
+www/data.default/images/qmailadmin/uppermiddle1.png
+www/data.default/images/qmailadmin/uppermiddle2.png
+www/data.default/images/qmailadmin/upperright.png
 @dirrm www/data.default/images/qmailadmin
 @dirrm www/data.default/images
 @unexec /bin/rmdir %D/www/data.default 2> /dev/null || true
Comment 3 Neil Blakey-Milner 2002-02-07 10:06:13 UTC
On Thu 2002-02-07 (01:50), Peter Pentchev wrote:
> The following reply was made to PR ports/34023; it has been noted by GNATS.
> 
> From: Peter Pentchev <roam@ringlet.net>
> To: Oliver Lehmann <lehmann@ans-netz.de>
> Cc: FreeBSD-gnats-submit@freebsd.org
> Subject: Re: ports/34023: update-port: mail/qmailadmin
> Date: Thu, 7 Feb 2002 11:45:35 +0200
> 
>  On Fri, Jan 18, 2002 at 01:06:24PM +0100, Oliver Lehmann wrote:
>  > 
>  > >Number:         34023
>  > >Category:       ports
>  > >Synopsis:       update-port: mail/qmailadmin
>  > >Originator:     Oliver Lehmann
>  > 
>  > 
>  > >Description:
>  > 	Update to 1.0.1. Vpopmail 5.01 requires qmailadmin up than 1.0. 0.45 which
>  > 	is in the ports now, would not work.
>  > 	That should be fixed before code freeze.
>  
>  Unfortunately, the patch in the PR is not complete; it is missing
>  some pkg-plist changes, most notably the change in image format
>  from GIF to PNG.  At minimum, the attached patch is needed.
>  
>  BTW, Neil, would you mind if I took over maintainership of this
>  port, too?  I have some ideas (and an almost-ready-for-use patch)
>  about better handling of the CGIBINDIR and WEBDATADIR variables..

Yes, please do take over.

Neil
-- 
Neil Blakey-Milner
nbm@mithrandr.moria.org
Comment 4 Peter Pentchev freebsd_committer 2002-02-07 10:46:01 UTC
State Changed
From-To: open->closed

Committed, thanks! 


Comment 5 Peter Pentchev freebsd_committer 2002-02-07 10:46:01 UTC
Responsible Changed
From-To: nbm->roam

I took over maintainership with Neil Blakey-Milner's permission.